using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;


namespace TESTGRID
{
    public partial class Form1 : Form
    {
        private DataTable mtbl = new DataTable();
        private DataTable mtbl1 = new DataTable();
        public Form1()
        {
            this.DoubleBuffered = true;
            this.SetStyle(ControlStyles.AllPaintingInWmPaint | ControlStyles.UserPaint | ControlStyles.OptimizedDoubleBuffer, true);
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            GenerateData(); 
            mtbl1 = mtbl.Copy();
            gridMain.DataSource = mtbl;
            gridChild.DataSource = mtbl1;
        }

        private void GenerateData()
        {
            mtbl.Columns.Add("ID",typeof(int));
            mtbl.Columns.Add("Name",typeof(string));
            mtbl.Columns.Add("Date",typeof(DateTime) );  
            mtbl.Columns.Add("Value",typeof(int));
            DataRow mRow = null; 

            for (int i = 0; i < 1000; i++)
            {
                mRow = mtbl.NewRow();
                mRow["ID"] = i;
                mRow["Name"] = "Name" + i;
                mRow["Date"] = DateTime.Now.Date;
                mRow["Value"] = i;
                mtbl.Rows.Add(mRow);    
            }
        }
    }
}